Upgrade of CA SPS from 12.6 00 to 12.7 02 is failing because of JDK bit

book

Article ID: 125515

calendar_today

Updated On:

Products

CA Single Sign On Secure Proxy Server (SiteMinder) CA Single Sign On SOA Security Manager (SiteMinder) CA Single Sign-On

Issue/Introduction

When we started upgrading SPS it was throwing the below error. We have tried some options, but none of them worked.  Do you have any recommendation?

ERROR
ca access gateway This installation requires a 64-bit JDK. Please select JRE version 1.8 or higher. 

Environment

Upgrade of CA SPS from 12.6 00 to 12.7 02 
 

Resolution

Install JRE not just JDK.
Check permissions.